#define WORD unsigned int
#define A626_NoError 	        0
#define A626_OpenError	        1
#define A626_DaChannelError     2
#define A626_ConfigCodeError    3

#define A628_NoError 	        0
#define A628_OpenError	        1
#define A628_DaChannelError     2
#define A628_ConfigCodeError    3

#define A626_UNIPOLAR_5V        0	/* the DA output: 0 to 5V      */
#define A626_UNIPOLAR_10V       1	/* the DA output: 0 to 10V     */
#define A626_BIPOLAR_5V	        2	/* the DA output: -5V to 5V    */
#define A626_BIPOLAR_10V        3	/* the DA output: -10V to 10V  */

#define A628_UNIPOLAR_5V        0	/* the DA output: 0 to 5V      */
#define A628_UNIPOLAR_10V       1	/* the DA output: 0 to 10V     */
#define A628_BIPOLAR_5V	        2	/* the DA output: -5V to 5V    */
#define A628_BIPOLAR_10V        3	/* the DA output: -10V to 10V  */

/* DA functions */
WORD A626_DaHex(WORD wBase, WORD wChannel, WORD wHexValue);
WORD A628_DaHex(WORD wBase, WORD wChannel, WORD wHexValue);

/* DIO functions */
void A626_DO(WORD wBase, WORD wHexValue);
WORD A626_DI(WORD wBase);
void A628_DO(WORD wBase, WORD wHexValue);
WORD A628_DI(WORD wBase);

